21b6e16a2ca8c55f02221a37b63a3fdcbb96c53d
[xfstests-dev.git] / tests / generic / 014
1 #! /bin/bash
2 # FS QA Test No. 014
3 #
4 # truncfile
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 seqres=$RESULT_DIR/$seq
27 seqres=$RESULT_DIR/$seq
28 seqres=$RESULT_DIR/$seq
29 echo "QA output created by $seq"
30
31 here=`pwd`
32 tmp=/tmp/$$
33 status=0        # success is the default!
34 trap "_cleanup; exit \$status" 0 1 2 3 15
35
36 _cleanup()
37 {
38     cd /
39     rm -f $tmp.*
40     rm -rf $testdir/truncfile.$$.*
41     _cleanup_testdir
42 }
43
44 # get standard environment, filters and checks
45 . ./common/rc
46 . ./common/filter
47
48 _supported_fs generic
49 _supported_os IRIX Linux
50
51 _require_sparse_files
52 _setup_testdir
53
54 # ensure EOF preallocation doesn't massively extend the runtime of this test
55 # by limiting the amount of preallocation and therefore the amount of blocks
56 # zeroed during the truncfile test run.
57 if [ "$FSTYP" == "xfs" ]; then
58         umount $TEST_DIR
59         _test_mount -o allocsize=64k
60 fi
61
62 echo "brevity is wit..."
63
64 echo "------"
65 echo "test 1"
66 echo "------"
67 if ! src/truncfile -c 10000 $testdir/truncfile.$$.0 >$tmp.out 2>&1
68 then
69     out=`cat $tmp.out`
70     echo "truncfile returned $? : \"$out\""
71 else
72     echo "OK"
73 fi
74
75 exit